if($RTB::Hooks::ServerControl) {
	RTB_registerPref("Jesus Clothes", "Jesus", "$Pref::MakeJesus::Clothes", "bool", "Server_Jesus", true, false, false, "");
	RTB_registerPref("/toHell", "Jesus | /toHell", "$Pref::MakeJesus::ToHell", "bool", "Server_Jesus", true, false, false, "");
} else {
	if($Pref::MakeJesus::Clothes $= "") $Pref::MakeJesus::Clothes = true;
	if($Pref::MakeJesus::ToHell $= "") $Pref::MakeJesus::ToHell = true;
}

function jesusChrist(%client) {
	if(isObject(%player = %client.player))
		%player.mountHat("halo");
}

function serverCmdMakeJesus(%client,%user) {
	if(%client.isAdmin) {
		%makeJesus = findClientByName(%user);
		if(isObject(%makeJesus)) {
			for(%a = 0; %a <= clientGroup.getCount()-1; %a++) {
				%member = clientGroup.getObject(%a);
				%member.isJesus = false;
			}
			%makeJesus.isJesus = true;
			
			if($Pref::MakeJesus::Clothes) {
				//Should make this check for hatmod, but it's not 100% necessary
				jesusChrist(%makeJesus);
				
				//Head
				%makeJesus.player.setNodeColor("HeadSkin","1 0.878431 0.611765 1");
				
				//Chest
				%makeJesus.player.unHideNode("chest");
				%makeJesus.player.setNodeColor("chest","0.900 0.900 0.900 1.000");
				
				//Hip
				%makeJesus.player.unHideNode("pants");
				%makeJesus.player.setNodeColor("pants","0.500 0.500 0.500 1.000");
				
				//LArm
				%makeJesus.player.unHideNode("LArm");
				%makeJesus.player.setNodeColor("LArm","0.900 0.900 0.900 1.000");
				
				//LHand
				%makeJesus.player.unHideNode("LHand");
				%makeJesus.player.setNodeColor("LHand","1 0.878431 0.611765 1");
				
				//LLeg
				%makeJesus.player.unHideNode("LShoe");
				%makeJesus.player.setNodeColor("LShoe","0.392157 0.196078 0 1");
				
				//Pack
				%makeJesus.player.hideNode("armor"); 
				%makeJesus.player.hideNode("bucket");
				%makeJesus.player.hideNode("cape");
				%makeJesus.player.hideNode("pack");
				%makeJesus.player.hideNode("quiver");
				%makeJesus.player.hideNode("tank");
				
				//RArm
				%makeJesus.player.unHideNode("RArm");
				%makeJesus.player.setNodeColor("RArm","0.900 0.900 0.900 1.000");
				
				//RHand
				%makeJesus.player.unHideNode("RHand");
				%makeJesus.player.setNodeColor("RHand","1 0.878431 0.611765 1");
				
				//RLeg
				%makeJesus.player.unHideNode("RShoe");
				%makeJesus.player.setNodeColor("RShoe","0.392157 0.196078 0 1");
				
				//Second Pack
				%makeJesus.player.hideNode("epaulets"); 
				%makeJesus.player.hideNode("epauletsRankA");
				%makeJesus.player.hideNode("epauletsRankB");
				%makeJesus.player.hideNode("epauletsRankC");
				%makeJesus.player.hideNode("epauletsRankD");
				%makeJesus.player.hideNode("ShoulderPads");
				
				//Face
				%makeJesus.player.setFaceName("BrownSmiley");
				
				//Shirt
				%makeJesus.player.setDecalName("LinkTunic");
			}
			
			messageAll('', "\c6" @ %makeJesus.name @ " is \c3Christ\c6 reborn!");
		} else {
			messageClient(%client, '', "\c6This user cannot be \c3Jesus\c6!");
		}
	} else {
		messageClient(%client, '', "\c6You do not have perission to \c3summon Jesus\c6.");
	}
}

function serverCmdCrucify(%client,%user) {
	if(%client.isAdmin) {
		%crucify = findClientByName(%user);
		if(isObject(%crucify)) {
			if(%crucify.isJesus) {
				%crucify.isJesus = false;
				%crucify.player.kill();
				messageAll('', "\c6" @ %client.name @ " has \c3crucified\c6 Jesus!");
			} else {
				messageClient(%client, '', "\c6This \c3Jesus\c6 does not exist!");
			}
		} else {
			messageClient(%client, '', "\c6This user does not exist!");
		}
	} else {
		messageClient(%client, '', "\c6You do not have perission to \c3crucify Jesus\c6.");
	}
}

function serverCmdToHell(%client) {
	if($Pref::MakeJesus::ToHell) {
		if(%client.isJesus) {
			%eye = %client.player.getEyePoint();
			%vec = %client.player.getEyeVector();

			%ray = containerRaycast(%eye, VectorAdd(%eye, VectorScale(%vec, 20)), $Typemasks::PlayerObjectType, %client.player);
			
			if(isObject(%obj = firstWord(%ray))) {
				%user = %obj.client;
				
				if(isObject(%user)) {
					%user.player.setTransform("100000 100000 4");
					messageAll('', "\c3" @ %client.name @ "\c6 has sentenced \c3" @ %user.name @ "\c6 to hell!");
				} else {
					messageClient(%client, '', "\c6Victim not found!");
				}
			} else {
				messageClient(%client, '', "\c6Victim not found!");
			}
		} else {
			messageClient(%client, '', "\c6Only Jesus has these powers!");
			%client.player.kill();
		}
	}
}

package sweetJesus {
	function Armor::onEnterLiquid(%this, %obj, %coverage, %type) {
		if(%obj.client.isJesus) {
			%pos = %obj.getPosition();
			
			%vel = %obj.getVelocity();
			
			%obj.setTransform(getWord(%pos,0) SPC getWord(%pos,1) SPC getWord(%pos,2)-getWord(%vel,2)/20);//getWord(%pos,2)+0.1);
			%obj.setVelocity(getWord(%vel,0) SPC getWord(%vel,1) SPC "0");
		} else {
			parent::onEnterLiquid(%data, %obj, %coverage, %type);
		}
	}
	
	function GameConnection::onDeath(%client,%killerPlayer,%killer,%damageType,%damageLoc) {
		parent::onDeath(%client,%killerPlayer,%killer,%damageType,%damageLoc);
		
		if(%client.isJesus) {
			%client.isJesus = false;
			messageAll('', "\c3Jesus\c6 has been killed!");
		}
	}
};
activatePackage(sweetJesus);